<?php

use yii\bootstrap\Alert;

if (Yii::$app->session->getFlash('message') != null) {
    echo Alert::widget([
        'options' => [
            'class' => 'alert-info',
        ],
        'body' => Yii::$app->session->getFlash('message'),
    ]);
}

use yii\helpers\Html;
use yii\widgets\Menu;
use yii\widgets\ActiveForm;

$this->title = 'Mesh Port';
$this->params['breadcrumbs'] = [
    'Mikrotik',
    'Mesh',
    $this->title,];
?>
<div class="site-plugins">
    <div class = "row">
        <div class="col-lg-3">

            <?php
            echo Menu::widget($menu);
            ?>

        </div> <div class="col-md-9"> <h1 style="margin-top: 0px"> 
                <?= Html::encode($this->title) ?></h1>
                <?php $form = ActiveForm::begin(['id' => 'form-proxy']); ?>
                <?= $form->field($model, 'interface')->dropDownList($interfaces); ?>
                <?= $form->field($model, 'mesh')->dropDownList($mesh); ?>
                <?= $form->field($model, 'path_cost')->label('Path Cost'); ?>
                <?= $form->field($model, 'hello_interval')->label('Hello Interval'); ?>
                <?=
                $form->field($model, 'port_type')->dropDownList(['wds' => 'wds',
                    'auto' => 'auto',
                    'ethernet' => 'ethernet',
                    'wireless' => 'wireless',
                ]);
                ?>
                <?php
                if ($action == 'update') {
                    if ($model->disabled == 'true') {
                        $action_e = 'enable';
                    } else {
                        $action_e = 'disable';
                    }
                    echo Html::submitButton('Update', ['class' => 'btn btn-primary', 'name' => 'create-button']);
                    echo' ';
                    echo Html::a('<spanclass="btn-label">' . ucfirst($action_e) . '</span>', [$action_e, 'id' => $model->id], ['class' => 'btn btn-primary']);
                } else {
                    echo Html::submitButton('Create', ['class' => 'btn btn-primary', 'name' => 'create-button']);
                }
                ?>
        </div>
        <?php ActiveForm::end();
        ?> 
    </div>
</div>
</div>